org.jboss.logging.processor.model

## Interface MessageObjectType

All Superinterfaces:
  MessageObject

All Known Subinterfaces:
  MessageInterface, Parameter, ReturnType, ThrowableType

All Known Implementing Classes:
  ReturnType.VoidReturnType

    public interface MessageObjectType
    extends MessageObject

Date: 23.08.2011

Author:
  James R. Perkins

### Method Summary

Methods
`boolean` `isAssignableFrom(Class<?> type)` Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter.
`boolean` `isSameAs(Class<?> type)` Determines if this type is the same type as the class represented by the `type` parameter.
`boolean` `isSubtypeOf(Class<?> type)` Determines if this type is a subtype of the class represented by the `type` parameter.
`String` `type()` Returns the qualified type name of the object.

### Methods inherited from interface org.jboss.logging.processor.model.MessageObject

`name, reference`

### Method Detail

#### type

    String type()

Returns the qualified type name of the object.

Equivalent to `Object.class.getName()`

Returns:
  the qualified class name.

#### isAssignableFrom

    boolean isAssignableFrom(Class<?> type)

Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter. If this type is assignable from the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same as or a superclass of the class, otherwise `false`.

#### isSubtypeOf

    boolean isSubtypeOf(Class<?> type)

Determines if this type is a subtype of the class represented by the `type` parameter. If this type is a subtype of the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is a subtype of the class, otherwise `false`.

#### isSameAs

    boolean isSameAs(Class<?> type)

Determines if this type is the same type as the class represented by the `type` parameter. If this type is the same type as the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same type as the class, otherwise `false`.